# Choix_Mode

## Props

<!-- @vuese:Choix_Mode:props:start -->
|Name|Description|Type|Required|Default|
|---|---|---|---|---|
|razModeVariante|Signal pour remise à zéro de l'affichage du menu Panier / banque|—|`false`|-|
|darktheme|Signal d'activation ou non du theme sombre|—|`false`|-|

<!-- @vuese:Choix_Mode:props:end -->


## Events

<!-- @vuese:Choix_Mode:events:start -->
|Event Name|Description|Parameters|
|---|---|---|
|mode_choisi|dès qu'un filtre est choisi|True si le mode panier est actif, False sinon|

<!-- @vuese:Choix_Mode:events:end -->


## Methods

<!-- @vuese:Choix_Mode:methods:start -->
|Method|Description|Parameters|
|---|---|---|
|changerChoix|Permet de basculer entre le 'mode panier' et le 'mode banque'|-|

<!-- @vuese:Choix_Mode:methods:end -->


## Watch

<!-- @vuese:Choix_Mode:watch:start -->
|Name|Description|Parameters|
|---|---|---|
|razModeVariante|Déconnexion de l'auteur -> on reset l'affichage du menu|-|

<!-- @vuese:Choix_Mode:watch:end -->


